
TYPO3.Flow - Bug # 29407

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Command
Created: 2011-09-01 Assigned To: Bastian Waidelich
Updated: 2011-09-08 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: help command does not display description
Description

The command-line help command doesn't display the long help text of a single command.

Example:
./flow3 help kickstart:package

only displays this help text:

Kickstart a new package

USAGE:
./flow3 kickstart:package <packageKey>

ARGUMENTS:
  packageKey           The package key, for example "MyCompany.MyPackageName" 

This text is missing:

Creates a new package and creates a standard Action Controller and a sample template for its Index Action.
For creating a new package without sample code use the package:create command.

Associated revisions
Revision 15d69186 - 2011-09-08 17:06 - Robert Lemke

[FEATURE] Styled CLI response and help descriptions

This introduces support for styled output in the CLI response
and some brushed up help functionality.

Change-Id: Ibe31c602800a1699b3ef37d9128836efa64314d4
Resolves: #29407

History
#1 - 2011-09-05 16:38 - Robert Lemke
- Status changed from New to Accepted
#2 - 2011-09-06 15:23 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change Ibe31c602800a1699b3ef37d9128836efa64314d4 has been pushed to the review server.
It is available at http://review.typo3.org/4796

#3 - 2011-09-06 18:10 - Mr. Hudson

Patch set 2 of change Ibe31c602800a1699b3ef37d9128836efa64314d4 has been pushed to the review server.
It is available at http://review.typo3.org/4796

#4 - 2011-09-07 12:59 - Mr. Hudson

Patch set 3 of change Ibe31c602800a1699b3ef37d9128836efa64314d4 has been pushed to the review server.
It is available at http://review.typo3.org/4796

#5 - 2011-09-08 15:16 - Mr. Hudson

Patch set 4 of change Ibe31c602800a1699b3ef37d9128836efa64314d4 has been pushed to the review server.
It is available at http://review.typo3.org/4796

#6 - 2011-09-08 16:00 - Mr. Hudson

Patch set 5 of change Ibe31c602800a1699b3ef37d9128836efa64314d4 has been pushed to the review server.
It is available at http://review.typo3.org/4796

#7 - 2011-09-08 16:03 - Mr. Hudson

Patch set 6 of change Ibe31c602800a1699b3ef37d9128836efa64314d4 has been pushed to the review server.
It is available at http://review.typo3.org/4796

#8 - 2011-09-08 17:06 - Mr. Hudson

Patch set 7 of change Ibe31c602800a1699b3ef37d9128836efa64314d4 has been pushed to the review server.
It is available at http://review.typo3.org/4796

#9 - 2011-09-08 17:35 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:15d69186af3d0fdffbc45976aec3d85e31b9a96b.
